package com.caimei365.commodity.service;


import java.util.Map;

/**
 * Description
 *
 * @author : Charles
 * @date : 2021/4/6
 */
public interface SearchQueryService {
    /**
     * 获取索引Id
     *
     * @param docType 文档类型
     * @param docId   文档ID
     * @return int
     */
    Integer getIdByDocId(String docType, Integer docId);
    /**
     * 根据文档类型获取索引Id集合
     * @param docType 文档类型
     * @return map
     */
    Map<Integer, Integer> getMainIdsByDocType(String docType, int pageNum, int pageSize);
    /**
     * 根据文档类型获取数量
     *
     * @param docType 文档类型
     * @return int
     */
    Integer getRecordByDocType(String docType);

    /**
     * 根据文档类型获取数量(去重用)
     *
     * @param docType 文档类型
     * @param docId   文档ID
     * @return int
     */
    Integer getCountByDocId(String docType, Integer docId);

}
