package com.caimei365.commodity.utils;

import com.aliyun.opensearch.sdk.dependencies.org.json.JSONArray;
import com.aliyun.opensearch.sdk.dependencies.org.json.JSONObject;
import com.caimei365.commodity.model.vo.ProductListVo;

import java.util.ArrayList;
import java.util.List;

/**
 * Description
 *
 * @author : Charles
 * @date : 2021/4/7
 */
public class Json2PojoUtil {
    public static List<ProductListVo> toProductList(JSONArray jsonArray) {
        List<ProductListVo> productList = new ArrayList<>();
        ProductListVo product = new ProductListVo();
        for (int i=0; i<jsonArray.length(); i++) {
            JSONObject json = jsonArray.getJSONObject(i);

            product.setId(json.getInt("id"));
            /* 商品Id */
            product.setProductId(json.getInt("p_id"));
            /* 名称name */
            product.setName(json.getString("p_name"));
            /* 搜索关键词searchKey */
            product.setKeyword(json.getString("p_keyword"));
            /* 主图mainImage */
            product.setImage(json.getString("p_image"));
            /* 是否公开机构价 0公开价格 1不公开价格 */
            product.setPriceFlag(json.getInt("p_price_flag"));
            /* 计算后价格等级 */
            product.setPriceGrade(json.getInt("p_price_grade"));
            /* 商品货号 */
            product.setCode(json.getString("p_code"));
            /* 包装规格 */
            product.setUnit(json.getString("p_unit"));
            /* 品牌 */
            product.setBrandName(json.getString("p_brand_name"));
            /* 所属供应商Id，关联供应商表 */
            product.setShopId(json.getInt("p_supplier_id"));
            /* 美博会商品活动状态 */
            product.setActFlag(json.getInt("p_act_flag"));

            productList.add(product);
        }
        return productList;
    }
}
